%define name perl-POP3Client
%define realname POP3Client
%define version 2.6
%define release 6mdk

Name:		%{name}
Summary:	POP3Client module for perl (Mail_and_Usenet_News/Mail)
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
Buildarch:	noarch

%description
POP3Client is a Perl module to provide an object-oriented interface to a
POP3 server.

%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes  MANIFEST README
%{perl_vendorlib}/Mail/*
%{perl_vendorlib}/auto/Mail/*
%_mandir/man3pm/*

%changelog
* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6-6mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.6-5mdk
- rebuild

* Tue Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-4mdk
- macros

* Fri Jul 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-3mdk
- fix files section

* Fri May 5 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.6-2mdk
- fix group

* Wed Mar 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 2.6

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
